/*У вас есть массив книг books. Ваша задача создать из него два массива - goodBooks и badBooks.
    В первый входят все книни, автор которых - не Донцова. Во второй - книги, автор которых - Донуцова*/

let books = [ {author: "Скотт Бэккер", book: "Князь пустоты"}, {author: "Донцова", book: "Старуха Кристи – отдыхает!"},
    {author: "Скотт Бэккер", book: "Тьма, что приходит прежде"}, {author: "Скотт Бэккер", book: "Воин-пророк"}, {author: "Скотт Бэккер", book: "Тысячекратная мысль"},
    {author: "Донцова", book: "Диета для трех поросят"}, {author: "Скотт Бэккер", book: "Аспект-император"}, {author: "Скотт Бэккер", book: "Око Судии"},
    {author: "Скотт Бэккер", book: "Воин Доброй удачи"}, {author: "Донцова", book: "Идеальное тело Пятачка"}, {author: "Скотт Бэккер", book: "Великая Ордалия"},
    {author: "Скотт Бэккер", book: "Нечестивый Консульт"}, {author: "Скотт Бэккер", book: "Не-Бог"}, {author: "Скотт Бэккер", book: "Истории о Злодеяниях"},
    {author: "Донцова", book: "Идеальное тело Пятачка"}, {author: "Скотт Бэккер", book: "Ложное солнце"}, {author: "Донцова", book: "Дед Снегур и Морозочка"},
    {author: "Скотт Бэккер", book: "Четыре Откровения Киниал’джина"}, {author: "Донцова", book: "Инь, янь и всякая дрянь"}, {author: "Скотт Бэккер", book: "Нож, что всем по руке"} ];


let goodBooks = [];
let badBooks = [];

books.forEach(function(elem) {
    if (elem.author === 'Донцова') {
        badBooks.push(elem)
    } else {
        goodBooks.push(elem)
    }
});
console.log(badBooks);
